'use strict';

var preAndPost = [
	'lib/before-all.js',
	'lib/before-each.js',
	'lib/after-each.js'
];

var specs = {

	1: [
		'spec/annotation/annotation-sidebar.js',
		'spec/annotation/annotation-creation.js',
		'spec/annotation/tag-dictionary.js',
		'spec/insights/insights-list.js',
		'spec/insights/linked-reviews.js',
		'spec/insights/insights-editor.js',
		'spec/insights/insights-list.js',

		'spec/product-catalog/concurrent-editing-2.js',
		'spec/product-catalog/reviews-assignement.js'

	],
	2: [
		'spec/quality-check.js',
		'spec/product-catalog/product-catalog.js',

		'spec/product-catalog/concurrent-editing.js',
		'spec/vocabulary/vocabulary.js',
		'spec/product-catalog/concurrent-editing-3.js',
		'spec/product-catalog/analysis-metadata.js',
	    'spec/sentiment-memory-annotations/sentiment-memory-annotations.js',
		'spec/review-title-sku/review-title-sku.js'
	]
};

module.exports = {
	getAll: function() {
		var allSpecs = [];
		allSpecs = allSpecs.concat(preAndPost);
		Object.keys(specs).forEach(function(index) {
			allSpecs = allSpecs.concat(specs[index]);
		});

		console.log(JSON.stringify(allSpecs, null, 4));


		return allSpecs;
	},
	get: function(index) {
		var partialSpecs;
		partialSpecs = preAndPost.concat(specs[index]);

		console.log(JSON.stringify(partialSpecs, null, 4));

		return partialSpecs;
	}
};
